सामग्री पर जाएँ

Kling 4.0 Text to Video

इंटीग्रेट करें

मॉडल id kling/v4/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.175 1,175 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Kling टेक्स्ट से वीडियो 3–30 s1080p तक #text-to-video#multi-shot#cinematic#kling

वैकल्पिक प्रति-शॉट प्रॉम्प्ट के साथ केवल टेक्स्ट से वीडियो निर्माण; 720p या 1080p में 3 से 30 सेकंड की क्लिप

Kling · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

88 / 2500

निर्माण के लिए टेक्स्ट निर्देश; `prompt` या `multi_prompt` में से किसी एक की आपूर्ति करें।

resolution डिफ़ॉल्ट 1080p

आउटपुट का रिज़ॉल्यूशन।

aspect_ratio डिफ़ॉल्ट 16:9

परिणामी वीडियो का आस्पेक्ट रेशियो।

डिफ़ॉल्ट 5

वीडियो की लंबाई सेकंड में, 3 से 30 तक।

उन्नत multi_prompt

शॉट-दर-शॉट निर्माण निर्देश, जिसमें प्रत्येक प्रॉम्प्ट एक शॉट को परिभाषित करता है और उसकी अवधि वीडियो की कुल लंबाई में जुड़ती है।

POST /run/kling/v4/text-to-video?wait=20 कोटेशन → $1.175
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Kling 4.0 Text to Video के बारे में

अधिकतम 2500 अक्षरों वाले टेक्स्ट प्रॉम्प्ट से वीडियो बनाता है, जिसमें कोई छवि या वीडियो इनपुट नहीं होता। वैकल्पिक रूप से, `multi_prompt` मल्टी-शॉट क्लिप के लिए प्रति शॉट एक प्रॉम्प्ट देता है और कुल लंबाई शॉट की अवधियों का योग होती है। `duration` 3 से 30 सेकंड तक होती है और डिफ़ॉल्ट 5 है। रिज़ॉल्यूशन 720p या 1080p हो सकता है और `aspect_ratio` 16:9, 9:16, 1:1 या 21:9 हो सकता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring | null
≤ 2,500 अक्षर
निर्माण के लिए टेक्स्ट निर्देश; `prompt` या `multi_prompt` में से किसी एक की आपूर्ति करें।
multi_promptवैकल्पिक
प्रकारobject[]
शॉट-दर-शॉट निर्माण निर्देश, जिसमें प्रत्येक प्रॉम्प्ट एक शॉट को परिभाषित करता है और उसकी अवधि वीडियो की कुल लंबाई में जुड़ती है।
multi_prompt[].promptआवश्यक
प्रकारstring
1 – 512 characters
वर्तमान शॉट के लिए टेक्स्ट निर्देश।
multi_prompt[].durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट5
1 – 30
किसी एक शॉट की अवधि, सेकंड में मापी गई।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट5
3 – 30
वीडियो की लंबाई सेकंड में, 3 से 30 तक।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1080p
720p1080p
आउटपुट का रिज़ॉल्यूशन।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:121:9
परिणामी वीडियो का आस्पेक्ट रेशियो।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling/v4/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1175,
    "usd": "1.175",
    "charged": 1175,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/kling/v4/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt